Skip to main content
GET
/
api
/
v1
/
quizzes
/
{id}
/
rounds
List rounds
curl --request GET \
  --url https://quizquail.com/api/v1/quizzes/{id}/rounds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quiz_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "order": 123,
      "timer_override": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of rounds with questions

data
object[]
required